/*
# pgrm: numcls - dumps the number of entries in a mfs file to stdout
# pgrm:
*/

#include <stdio.h>
#include <mfs.h>


main(argc, argv)
int argc; char **argv;
{
MFS  *clses;
int   i;

   procargs(argc, argv, &clses);

   for ( i = 0 ; i < clses->num ; i++)
      fprintf(stdout, "%d\n", readmfshdr(clses->values[i]));

   freemfs(clses);
}


procargs(argc, argv, clses)
int	 argc; MFS **clses; char **argv;
{
int i;
   if (argc < 2)
      fatalerr("Usage", argv[0], "clsfiles...");

   *clses   = allocmfs(argc-1);
   for ( i = 0 ; i < (*clses)->alloc ; i++ )
      appendmfs(*clses, argv[i+1]);
}
