/*
# pgrm: nummis - dumps the number of images held in a mis file to stdout
# pgrm:
*/

#include <stdio.h>
#include <mfs.h>
#include <ihead.h>
#include <mis.h>


main(argc, argv)
int argc; char **argv;
{
MFS  *mises;
MIS  *inp;
int   i;

   procargs(argc, argv, &mises);

   for ( i = 0 ; i < mises->num ; i++)
      inp = readmishdr(mises->values[i]),
      fprintf(stdout, "%d\n", inp->ent_num),
      freemishdr(inp);

   freemfs(mises);
}


procargs(argc, argv, mises)
int	 argc; MFS **mises; char **argv;
{
int i;
   if (argc < 2)
      fatalerr("Usage", argv[0], "misfiles...");

   *mises   = allocmfs(argc-1);
   for ( i = 0 ; i < (*mises)->alloc ; i++ )
      appendmfs(*mises, argv[i+1]);
}
